jQuery(document).ready(function( $ ) {
    
    var eseely_auth_token = document.getElementById('eseely_auth_token').value;
    var wp_site_url = document.getElementById('wp_site_url').value;
    var eseely_user_image = document.getElementById('eseely_user_image').value;
    
    if(eseely_auth_token != ''){
        
        
        // User Details
        
        $.ajax({
            url: 'https://api.eseely.com/user',
            type: 'POST',
            data: {
                'wp_url' : wp_site_url,
                'apikey' : eseely_auth_token
            },
            success:function(data) {
                if(data.result == "success"){
                        
                    var name = data.data[0].name;
                    
                    if(data.data[0].photo == null){
                        var photo = eseely_user_image;
                    }else{
                        var photo = 'https://app.eseely.com/'+data.data[0].photo;
                    }
                    
                    var img = '<img src="'+photo+'" width="36" height="36">';
                    
                    document.getElementById('eseely_user_photo').innerHTML = img;
                    document.getElementById('eseely_user_name').innerHTML = name;
                }
            },
            error: function(errorThrown){
                console.log(errorThrown);
            } 
        });
    
        // Total Links
        
        $.ajax({
            url: 'https://api.eseely.com/integrations/wordpress/dashboard/stats',
            type: 'POST',
            data: {
                'wp_url' : wp_site_url,
                'apikey' : eseely_auth_token
            },
            success:function(data) {
                if(data.result == "success"){
                    document.getElementById('total_links').innerHTML = data.data.link;
                    document.getElementById('unique').innerHTML = data.data.unique;
                    document.getElementById('refferal').innerHTML =data.data.domain;
                    document.getElementById('total_clicks').innerHTML = data.data.clicks;
                    
                    var x = '';
                    if(data.data.link_sign == 'plus'){
                        x+= '<span class="text-success mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-up"><line x1="12" y1="19" x2="12" y2="5"></line><polyline points="5 12 12 5 19 12"></polyline></svg> '+Math.round(data.data.link_percentage)+'%</span>';
                        x+= '<span class="text-nowrap">Since last month</span>';
                    }else{
                        x+= '<span class="text-danger mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down"><line x1="12" y1="5" x2="12" y2="19"></line><polyline points="19 12 12 19 5 12"></polyline></svg> '+Math.round(data.data.link_percentage)+'%</span>';
                        x+= '<span class="text-nowrap">Since last month</span>';
                    }
                    document.getElementById('links_percentage').innerHTML = x;
                    
                    var t = '';
                    if(data.data.click_sign == 'plus'){
                        t+= '<span class="text-success mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-up"><line x1="12" y1="19" x2="12" y2="5"></line><polyline points="5 12 12 5 19 12"></polyline></svg> '+Math.round(data.data.click_percentage)+'%</span>';
                        t+= '<span class="text-nowrap">Since last month</span>';
                    }else{
                        t+= '<span class="text-danger mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down"><line x1="12" y1="5" x2="12" y2="19"></line><polyline points="19 12 12 19 5 12"></polyline></svg> '+Math.round(data.data.click_percentage)+'%</span>';
                        t+= '<span class="text-nowrap">Since last month</span>';
                    }
                    
                    document.getElementById('clicks_percentage').innerHTML = t;
                    
                    var y = '';
                    if(data.data.domain_sign == 'plus'){
                        y+= '<span class="text-success mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-up"><line x1="12" y1="19" x2="12" y2="5"></line><polyline points="5 12 12 5 19 12"></polyline></svg> '+Math.round(data.data.domian_percentage)+'%</span>';
                        y+= '<span class="text-nowrap">Since last month</span>';
                    }else{
                        y+= '<span class="text-danger mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down"><line x1="12" y1="5" x2="12" y2="19"></line><polyline points="19 12 12 19 5 12"></polyline></svg> '+Math.round(data.data.domian_percentage)+'%</span>';
                        y+= '<span class="text-nowrap">Since last month</span>';
                    }
                    
                    document.getElementById('referral_percentage').innerHTML = y;
                    
                    
                    var z = '';
                    if(data.data.uni_sign == 'plus'){
                        z+= '<span class="text-success mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-up"><line x1="12" y1="19" x2="12" y2="5"></line><polyline points="5 12 12 5 19 12"></polyline></svg> '+Math.round(data.data.uni_percentage)+'%</span>';
                        z+= '<span class="text-nowrap">Since last month</span>';
                    }else{
                        z+= '<span class="text-danger mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down"><line x1="12" y1="5" x2="12" y2="19"></line><polyline points="19 12 12 19 5 12"></polyline></svg> '+Math.round(data.data.uni_percentage)+'%</span>';
                        z+= '<span class="text-nowrap">Since last month</span>';
                    }
                    document.getElementById('unique_percentage').innerHTML = z;
                    
                    
                }
            },
            error: function(errorThrown){
                console.log(errorThrown);
            } 
        });
        
        
        // Top Links
        
        $.ajax({
            url: 'https://api.eseely.com/integrations/wordpress/dashboard/toplinks',
            type: 'POST',
            data: {
                'wp_url' : wp_site_url,
                'apikey' : eseely_auth_token
            },
            success:function(data) {
                if(data.result=="success"){
                    var x='';
                     
                    
                    for (i = 0; i < data.data.length; i++){
                       custom_domain = data.data[i].domain;
                      if(data.data[i]['alias'] == '-'){
                          slug = data.data[i]['custom'];
                      }else{
                          slug = data.data[i]['alias'];
                      }
                      x+='<tr id="row_'+data.data[i]['id']+'"><td><a style="color: #4285f4;" target="_blank" href="https://'+custom_domain+'/'+slug+'">'+custom_domain+'/'+slug+'</a></td>';
                      x+='<td>'+data.data[i]['click']+'</td>';
                      x+='<td>'+data.data[i]['alias']+'</td>';
                      x+='<td>'+data.data[i]['custom']+'</td><tr>';
                    }
                    
                     document.getElementById('link_list').innerHTML = x;
                }
            },
            error: function(errorThrown){
                console.log(errorThrown);
            }
        });
        
        // Total Clicks, Unique Visitors, Referral Domains
        
      /*  $.ajax({
            url: 'https://api.eseely.com/integrations/wordpress/dashboard',
            type: 'POST',
            data: {
                'wp_url' : wp_site_url,
                'apikey' : eseely_auth_token
            },
            success:function(data) {
                if(data.result == "success"){
                    document.getElementById('unique').innerHTML = data.uniq_visit_count;
                    document.getElementById('refferal').innerHTML =data.ref_link_count;
                    document.getElementById('total_clicks').innerHTML = data.data[0].clicks;
                    
                    var x = '';
                    if(data.sign == 'plus'){
                        x+= '<span class="text-success mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-up"><line x1="12" y1="19" x2="12" y2="5"></line><polyline points="5 12 12 5 19 12"></polyline></svg> '+Math.round(data.percentage)+'%</span>';
                        x+= '<span class="text-nowrap">Since last month</span>';
                    }else{
                        x+= '<span class="text-danger mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down"><line x1="12" y1="5" x2="12" y2="19"></line><polyline points="19 12 12 19 5 12"></polyline></svg> '+Math.round(data.percentage)+'%</span>';
                        x+= '<span class="text-nowrap">Since last month</span>';
                    }
                    
                    document.getElementById('clicks_percentage').innerHTML = x;
                    
                    var y = '';
                    if(data.sign_refl == 'plus'){
                        y+= '<span class="text-success mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-up"><line x1="12" y1="19" x2="12" y2="5"></line><polyline points="5 12 12 5 19 12"></polyline></svg> '+Math.round(data.percent_refl)+'%</span>';
                        y+= '<span class="text-nowrap">Since last month</span>';
                    }else{
                        y+= '<span class="text-danger mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down"><line x1="12" y1="5" x2="12" y2="19"></line><polyline points="19 12 12 19 5 12"></polyline></svg> '+Math.round(data.percent_refl)+'%</span>';
                        y+= '<span class="text-nowrap">Since last month</span>';
                    }
                    
                    document.getElementById('referral_percentage').innerHTML = y;
                    
                    
                    var z = '';
                    if(data.sign_uniq == 'plus'){
                        z+= '<span class="text-success mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-up"><line x1="12" y1="19" x2="12" y2="5"></line><polyline points="5 12 12 5 19 12"></polyline></svg> '+Math.round(data.percent_uniq)+'%</span>';
                        z+= '<span class="text-nowrap">Since last month</span>';
                    }else{
                        z+= '<span class="text-danger mr-2"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-down"><line x1="12" y1="5" x2="12" y2="19"></line><polyline points="19 12 12 19 5 12"></polyline></svg> '+Math.round(data.percent_uniq)+'%</span>';
                        z+= '<span class="text-nowrap">Since last month</span>';
                    }
                    document.getElementById('unique_percentage').innerHTML = z;
                }
            },
            error: function(errorThrown){
                console.log(errorThrown);
            }
        });*/
        
        
        // Social Stats
        
        $.ajax({
            url: 'https://api.eseely.com/integrations/wordpress/dashboard/social',
            type: 'POST',
            data: {
                'wp_url' : wp_site_url,
                'apikey' : eseely_auth_token
            },
            success:function(data) {
                if(data.result == "success"){
                    var datas = data.data;
                    var x = "",fb_per,ins_per,twi_per,lin_per,pin_per;
                    var totalcount = data.facebook+data.instagram+data.twitter+data.linkedin+data.pinterest;
                    if(totalcount == 0){
                      fb_per = 0;
                      ins_per = 0;
                      twi_per = 0;
                      lin_per = 0;
                      pin_per = 0;
                      $('#social_traffic').html('<tr><td colspan="2"><center style="margin-top: 100px;">No Data Found!!!</center></td></tr>');
                    }else{
                       var fb_per= Math.round(data.facebook/totalcount*100);
                       var ins_per= Math.round(data.instagram/totalcount*100);
                       var twi_per= Math.round(data.twitter/totalcount*100);
                       var lin_per= Math.round(data.linkedin/totalcount*100);
                       var pin_per= Math.round(data.pinterest/totalcount*100);
                       //Social Links Table value
                       x+='<tr><th scope="row">Facebook</th><td>'+data.facebook+'</td><td><div class="d-flex align-items-center"><span class="mr-2">'+fb_per+'%</span><div><div class="progress">';
                       x+='<div class="progress-bar bg-gradient-primary" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width:'+fb_per+'%;"></div></div></div></div></td></tr>';
                       x+='<tr><th scope="row">Instagram</th><td>'+data.instagram+'</td><td><div class="d-flex align-items-center"><span class="mr-2">'+ins_per+'%</span><div><div class="progress">';
                       x+='<div class="progress-bar bg-gradient-primary" role="progressbar" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100" style="width: '+ins_per+'%;"></div></div></div></div></td></tr>';              
                       x+='<tr><th scope="row">Twitter</th><td>'+data.twitter+'</td><td><div class="d-flex align-items-center"><span class="mr-2">'+twi_per+'%</span><div><div class="progress">';
                       x+='<div class="progress-bar bg-gradient-primary" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: '+twi_per+'%;"></div></div></div></div></td></tr>';
                       x+='<tr><th scope="row">Linkedin</th><td>'+data.linkedin+'</td><td><div class="d-flex align-items-center"><span class="mr-2">'+lin_per+'%</span><div><div class="progress">';
                       x+='<div class="progress-bar bg-gradient-primary" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: '+lin_per+'%;"></div></div></div></div></td></tr>';
                       x+='<tr><th scope="row">Pinterest</th><td>'+data.pinterest+'</td><td><div class="d-flex align-items-center"><span class="mr-2">'+pin_per+'%</span><div><div class="progress">';
                       x+='<div class="progress-bar bg-gradient-primary" role="progressbar" aria-valuenow="30" aria-valuemin="0" aria-valuemax="100" style="width: '+pin_per+'%;"></div></div></div></div></td></tr>';
                       //Direct Viewing
                       document.getElementById('social_traffic').innerHTML = x;
                    }
    
                }
            },
            error: function(errorThrown){
                console.log(errorThrown);
            }
        });
    
    }
    
    
    // Login
    
    $("#eseely_api_key_form").on("submit",function(e){
        e.preventDefault();
        var apikey = document.getElementById('eseely_api_key').value;
        var app_eseely_url = 'https://api.eseely.com/validate';
        
            $.ajax({
            url: app_eseely_url,
            type: 'POST',
            data: {
                'apikey': apikey
            },
            success:function(data) {
                if(data.result == 'SUCCESS'){
                    
                    var x='<center><span class="badge badge-success mr-2">Success</span></center>';
                    
                    document.getElementById('api_valid').innerHTML = x;
                    
                    update_eseely_auth_token(apikey);
                }else{
                    
                    var x='<center><span class="badge badge-danger mr-2">Invalid Api Key</span></center>';
                    
                    document.getElementById('api_valid').innerHTML = x;
                }
            },
            error: function(errorThrown){
                console.log(errorThrown);
            }
        }); 
    });
    
    // Logout
    
    $("#eseely_logout").on("click",function(e){
        e.preventDefault();

            // This does the ajax request
            $.ajax({
                url: ajaxurl,
                type: 'POST',
                data: {
                    'action': 'eseely_revoke_access'
                },
                success:function(data) {
                 location.reload(true);  
                },
                error: function(errorThrown){
                    console.log(errorThrown);
                }
            }); 
    });
    
    
    
    function update_eseely_auth_token(token){
        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: {
                'action': 'update_eseely_auth_token_db',
                'eseely_auth_token': token
            },
            success:function(token) {
                location.reload();
            },
            error: function(errorThrown){
                console.log(errorThrown);
            }
        }); 
    }
            
});