<?php

    $eseely_auth_token = get_option('eseely_auth_token');
    
    if($eseely_auth_token != ''){
        
        add_action( 'add_meta_boxes', 'eseely_meta_box', 10, 2 );
        
        function eseely_meta_box( $post_type, $post ) {
                
            add_meta_box( 'eseely-metabox', __( 'eseely', 'eseely' ), 'eseely_meta_box_content', 'post', 'side', 'high' );
            add_meta_box( 'eseely-metabox', __( 'eseely', 'eseely' ), 'eseely_meta_box_content', 'page', 'side', 'high' );
            add_meta_box( 'eseely-metabox', __( 'eseely', 'eseely' ), 'eseely_meta_box_content', 'product', 'side', 'high' );
            
        }
        
        function eseely_meta_box_content(){
            global $post; 
            wp_enqueue_style('eseely_metabox_css', plugins_url('../assets/css/eseely-metabox.css',__FILE__ ));
            wp_enqueue_script('eseely_metabox_js', plugins_url('../assets/js/eseely-metabox.js',__FILE__ ));
            
            $post_id = get_the_ID();
            
            $eseely_success = get_post_meta($post_id,'eseely_success',true);
            
            if($eseely_success == 1){
                
                $eseely_short_url = get_post_meta($post_id,'eseely_short_url',true);
                $eseely_custom = get_post_meta($post_id,'eseely_custom',true);
                $eseely_exp_date = get_post_meta($post_id,'eseely_exp_date',true);
                $eseely_url_id = get_post_meta($post_id,'eseely_url_id',true);  
            
        ?>    
                <div class="eseely_meta_box_inner_content">
                    
                    <input type="hidden" value="<?php echo   get_permalink( $post->ID ); ?>" name="permanent_link" id="permanent_link">
                    <input type="hidden" value="<?php echo get_the_ID();?>" name="post_id" id="post_id">
                    <input type="hidden" value="<?php echo $siteurl = get_option('siteurl');?>" name="wp_url" id="wp_url">
                    <input type="hidden" value="<?php echo get_option('eseely_auth_token'); ?>" name="token" id="token">
                    <input type="hidden" value="<?php echo $eseely_url_id; ?>" name="url_id" id="url_id">
                    
                    <div id="exists" style="display:block;">
                        <div style="margin:15px 0px">
                            <center>
                            <a style="padding-right: 6px;" href="<?php echo $eseely_short_url; ?>" data-toggle="tooltip" id="openlink" data-placement="top" data-original-title="Visit link" target="_blank"><svg viewBox="0 0 24 24" width="20" height="20" stroke="#2d2d2d" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path><polyline points="15 3 21 3 21 9"></polyline><line x1="10" y1="14" x2="21" y2="3"></line></svg></a>    
                            <a href="#" data-toggle="tooltip" data-placement="top" data-original-title="Copy" id="create_copy" onclick="copyfn(this.id);"><svg viewBox="0 0 24 24" width="20" height="20" stroke="#2d2d2d" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><rect x="9" y="9" width="13" height="13" rx="2" ry="2"></rect><path d="M5 15H4a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2h9a2 2 0 0 1 2 2v1"></path></svg></a>
                            <a href="https://www.facebook.com/sharer.php?u=<?php echo $eseely_short_url; ?>?ref=facebook" data-toggle="tooltip" data-placement="top" data-original-title="Share on Facebook" target="_blank"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="#2d2d2d" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-facebook"><path d="M18 2h-3a5 5 0 0 0-5 5v3H7v4h3v8h4v-8h3l1-4h-4V7a1 1 0 0 1 1-1h3z"></path></svg> </a>
                            <a href="https://twitter.com/share?url=www&text=<?php echo $eseely_short_url; ?>?ref=twitter" data-toggle="tooltip" data-placement="top" data-original-title="Share on Twitter" target="_blank"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="#2d2d2d" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-twitter"><path d="M23 3a10.9 10.9 0 0 1-3.14 1.53 4.48 4.48 0 0 0-7.86 3v1A10.66 10.66 0 0 1 3 4s-4 9 5 13a11.64 11.64 0 0 1-7 2c9 5 20 0 20-11.5a4.5 4.5 0 0 0-.08-.83A7.72 7.72 0 0 0 23 3z"></path></svg></a>
                            </center>            
                        </div>
                        
                        <div class="form-group" style="margin-top: 0px;">
                            <div class="input-group input-group-alternative mb-3">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-link"><path d="M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"></path><path d="M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"></path></svg></span>
                                </div>
                                <input id="shorturl" style="background: white !important;color: #4285f4 !important;" value="<?php echo $eseely_short_url; ?>" class="form-control" type="text" readonly>
                            </div>
                        </div>
                    </div>

                    <div>
                        <div style="margin-top:10px"> 
                            <div id="onclick_url" class="pl-lg-4" style="display: block;">
                                <label for="permanent_link">Custom Alias</label>
                                <div class="form-group">
                                    <div class="input-group input-group-alternative mb-3">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sun"><circle cx="12" cy="12" r="5"></circle><line x1="12" y1="1" x2="12" y2="3"></line><line x1="12" y1="21" x2="12" y2="23"></line><line x1="4.22" y1="4.22" x2="5.64" y2="5.64"></line><line x1="18.36" y1="18.36" x2="19.78" y2="19.78"></line><line x1="1" y1="12" x2="3" y2="12"></line><line x1="21" y1="12" x2="23" y2="12"></line><line x1="4.22" y1="19.78" x2="5.64" y2="18.36"></line><line x1="18.36" y1="5.64" x2="19.78" y2="4.22"></line></svg></span>
                                        </div>
                                        <input type="text" class="form-control" name="custom_alias" id="custom_alias" placeholder="Enter Custom Alias"  value="<?php echo $eseely_custom; ?>">
                                    </div>
                                </div>
                                <label for="permanent_link">Expired Date</label>
                                <div class="form-group">
                                    <div class="input-group input-group-alternative mb-3">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar"><rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line></svg></span>
                                        </div>
                                        <input type="date" class="form-control" name="exp_date" id="exp_date" min="<?php echo date("Y-m-d"); ?>" placeholder="Select Expiry Date"  value="<?php echo $eseely_exp_date; ?>">
                                    </div>
                                </div>
                            </div>
                        </div><br>
                        <center>
                           <a id="trim_update" style="text-decoration:none;" href="#" class="btn btn-primary my-4">Update</a>
                        </center>
                    </div>
                    
                         
                        <div class="col-xl-3 col-lg-6" style="display: block;" id="trimclick">
                            <div id="toast" style="border-radius: 30px;margin-bottom: 3px;margin-top: 20px;"></div>
                            <div id="result" style="display:none;">
                                <center>
                                <!--<a href="#" data-placement="top" data-original-title="Share" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><svg viewBox="0 0 24 24" width="20" height="20" stroke="#2d2d2d" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><circle cx="18" cy="5" r="3"></circle><circle cx="6" cy="12" r="3"></circle><circle cx="18" cy="19" r="3"></circle><line x1="8.59" y1="13.51" x2="15.42" y2="17.49"></line><line x1="15.41" y1="6.51" x2="8.59" y2="10.49"></line></svg></a>
                                <a href="#" id="qr_Create" data-toggle="modal" data-placement="top" data-original-title="QR code" data-target="#qrModal"><svg viewBox="0 0 24 24" width="20" height="20" stroke="#2d2d2d" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><rect x="3" y="3" width="7" height="7"></rect><rect x="14" y="3" width="7" height="7"></rect><rect x="14" y="14" width="7" height="7"></rect><rect x="3" y="14" width="7" height="7"></rect></svg></a> -->
                                </center>
                            </div>
                        </div>    
                        <br><br> 
                        <input id="appID" value="" type="hidden">
                </div>
            
            
            <?php
            }else{
            ?>    
                
                <div class="eseely_meta_box_inner_content">
                    
                    <div id="exists" style="display:block;"></div>
            
                    <input type="hidden" value="<?php echo  get_permalink( $post->ID ); ?>" name="permanent_link" id="permanent_link">
                    <input type="hidden" value="<?php echo get_the_ID();?>" name="post_id" id="post_id">
                    <input type="hidden" value="<?php echo $siteurl = get_option('siteurl');?>" name="wp_url" id="wp_url">
                    <input type="hidden" value="<?php echo get_option('eseely_auth_token'); ?>" name="token" id="token">
                
                    <label for="permanent_link">Permanent Link</label>
                    <div class="form-group">
                        <div class="input-group input-group-alternative mb-3" style="background: #e3e5e6;border-radius: 5px;">
                            <input type="text" class="form-control" name="permanent_link" id="permanent_link" value="<?php echo  get_permalink( $post->ID ); ?>" placeholder=""  disabled style="background: #e3e5e6 !important;width: 100% !important;">
                        </div>
                    </div>
                    
                    <div>
                        <div> 
                            <label class="custom-toggle">
                                <input type="checkbox" id="adv_options" style="border: none !important;display: none !important;">
                                <span class="custom-toggle-slider rounded-circle" data-label-off=""  data-label-on=""></span>
                            </label>
                            <label style="margin-bottom: 0rem;font-size: 14px;margin-left: 10px;"> &nbsp; Advanced Options </label>
                        </div>
                        <div style="margin-top:10px"> 
                            <div id="onclick_url" class="pl-lg-4" style="display: none;">
                                <label for="permanent_link">Custom Alias</label>
                                <div class="form-group">
                                    <div class="input-group input-group-alternative mb-3">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-sun"><circle cx="12" cy="12" r="5"></circle><line x1="12" y1="1" x2="12" y2="3"></line><line x1="12" y1="21" x2="12" y2="23"></line><line x1="4.22" y1="4.22" x2="5.64" y2="5.64"></line><line x1="18.36" y1="18.36" x2="19.78" y2="19.78"></line><line x1="1" y1="12" x2="3" y2="12"></line><line x1="21" y1="12" x2="23" y2="12"></line><line x1="4.22" y1="19.78" x2="5.64" y2="18.36"></line><line x1="18.36" y1="5.64" x2="19.78" y2="4.22"></line></svg></span>
                                        </div>
                                        <input type="text" class="form-control" name="custom_alias" id="custom_alias" placeholder="Enter Custom Alias"  value="">
                                    </div>
                                </div>
                                <label for="permanent_link">Expired Date</label>
                                <div class="form-group">
                                    <div class="input-group input-group-alternative mb-3">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-calendar"><rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect><line x1="16" y1="2" x2="16" y2="6"></line><line x1="8" y1="2" x2="8" y2="6"></line><line x1="3" y1="10" x2="21" y2="10"></line></svg></span>
                                        </div>
                                        <input type="date" class="form-control" name="exp_date" id="exp_date" min="<?php echo date("Y-m-d"); ?>" placeholder="Select Expiry Date"  value="">
                                    </div>
                                </div>
                            </div>
                        </div><br>
                        <center>
                            <a id="trim_update" style="text-decoration:none;display:none" href="#" class="btn btn-primary my-4">Update</a>
                            <a id="trim_button" style="text-decoration:none;" href="#" class="btn btn-primary my-4">Shorten</a>
                        </center>
                    </div>
                    
                         
                        <div class="col-xl-3 col-lg-6" style="display: block;" id="trimclick">
                            <div id="toast" style="border-radius: 30px;margin-bottom: 3px;margin-top: 20px;"></div>
                            <div id="result" style="display:none;">
                                <center>
                                <!--<a href="#" data-placement="top" data-original-title="Share" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><svg viewBox="0 0 24 24" width="20" height="20" stroke="#2d2d2d" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><circle cx="18" cy="5" r="3"></circle><circle cx="6" cy="12" r="3"></circle><circle cx="18" cy="19" r="3"></circle><line x1="8.59" y1="13.51" x2="15.42" y2="17.49"></line><line x1="15.41" y1="6.51" x2="8.59" y2="10.49"></line></svg></a>
                                <a href="#" id="qr_Create" data-toggle="modal" data-placement="top" data-original-title="QR code" data-target="#qrModal"><svg viewBox="0 0 24 24" width="20" height="20" stroke="#2d2d2d" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><rect x="3" y="3" width="7" height="7"></rect><rect x="14" y="3" width="7" height="7"></rect><rect x="14" y="14" width="7" height="7"></rect><rect x="3" y="14" width="7" height="7"></rect></svg></a> -->
                                </center>
                            </div>
                        </div>    
                        <br><br> 
                        <input id="appID" value="" type="hidden">
                        <input id="url_id" value="" type="hidden">
                </div>
                
            <?php   
            }
            ?>


            <?php
        }
    }else{
            add_action( 'add_meta_boxes', 'eseely_login_meta_box', 1);
            function eseely_login_meta_box() {
                add_meta_box( 'eseely-login-metabox', __( 'esee.ly', 'esee.ly' ), 'eseely_login_meta_box_content', 'post', 'side', 'high' );
                add_meta_box( 'eseely-login-metabox', __( 'esee.ly', 'esee.ly' ), 'eseely_login_meta_box_content', 'page', 'side', 'high');
                add_meta_box( 'eseely-login-metabox', __( 'esee.ly', 'esee.ly' ), 'eseely_login_meta_box_content', 'product', 'side', 'high');
            }
            
            function eseely_login_meta_box_content(){
                
                wp_enqueue_style('eseely_metabox_css', plugins_url('../assets/css/eseely-metabox.css',__FILE__ ));
                
                $siteurl = get_option('siteurl');
                ?>
                <center><a href="<?php echo $siteurl; ?>/wp-admin/admin.php?page=esee.ly" style="text-decoration:none;" class="btn btn-primary my-4">Login to esee.ly</a></center>
                <?php
            } 
               
    }