jQuery(function($) {
    
    $('#trim_button').on('click', function () {
        var app_url="https://app.eseely.com";
        var currentDate = new Date();
        var date = currentDate.getFullYear()+'-'+(currentDate.getMonth()+1)+'-'+currentDate.getDate();
        var custom_alias = document.getElementById('custom_alias').value;
        var exp_date = document.getElementById('exp_date').value;
        var token = document.getElementById('token').value;
        var post_id = document.getElementById('post_id').value;
        var permanent_link = document.getElementById('permanent_link').value;
        var wp_url = document.getElementById('wp_url').value;
        
        if(exp_date>=date ||exp_date ==''){
        
            $.ajax({
            url: 'https://api.eseely.com/integrations/wordpress/link/create',
            type: 'POST',
            data: {
                'apikey':token,
                'custom_alias' : custom_alias,
                'exp_date' : exp_date,
                'permanent_link': permanent_link,
                'postid': post_id,
                'wp_url': wp_url      
                },
                success:function(data) {
                  if(data.result == 'success'){
                    document.getElementById('url_id').value = data.url_id;
                        
                        $.ajax({
                            url: ajaxurl,
                            type: 'POST',
                            data: {
                                'action': 'eseely_post_meta_update',
                                'short_url': data.short_url,
                                'alias': data.alias,
                                'custom': data.custom,
                                'exp_date': data.exp_date,
                                'url_id': data.url_id,
                                'post_id': post_id,
                            },
                            success:function(token) {
                               
                            },
                            error: function(errorThrown){
                                console.log(errorThrown);
                            }
                        }); 
                    
                        document.getElementById('result').style="display:block";  
                        
                        var x='';
                        //x+= '<center><h4>'+data.message+'</h4></center>';
                        x+= '<div class="form-group" style="margin-top: 0px;">';
                        x+= '<div class="input-group input-group-alternative mb-3">';
                        x+= '<div class="input-group-prepend">';
                        x+= '<span class="input-group-text">';
                        x+= '<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-link">';
                        x+= '<path d="M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"></path>';
                        x+= '<path d="M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"></path>';
                        x+= '</svg>';
                        x+= '</span>';
                        //x+='<textarea rows="2" cols="25" style="background: white !important;color: #4285f4 !important;border-color:#fff !important;" placeholder="'+data.message+'" readonly></textarea>';
                        x+= '</div><input id="shorturl" style="background: white !important;color: #4285f4 !important;" value="'+data.short_url+'"  class="form-control" type="text" readonly>';
                        x+= '</div></div>';
                        x+= '<center>';
                        x+= '<a style="padding-right: 6px;" href="'+data.short_url+'" data-toggle="tooltip" id="openlink" data-placement="top" data-original-title="Visit link" target="_blank"><svg viewBox="0 0 24 24" width="20" height="20" stroke="#2d2d2d" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path><polyline points="15 3 21 3 21 9"></polyline><line x1="10" y1="14" x2="21" y2="3"></line></svg></a>';
                        x+= '<a href="#" data-toggle="tooltip" data-placement="top" data-original-title="Copy" id="create_copy" onclick="copyfn(this.id);"><svg viewBox="0 0 24 24" width="20" height="20" stroke="#2d2d2d" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><rect x="9" y="9" width="13" height="13" rx="2" ry="2"></rect><path d="M5 15H4a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2h9a2 2 0 0 1 2 2v1"></path></svg></a>';
                        x+= '<a href="https://www.facebook.com/sharer.php?u='+data.short_url+'?ref=facebook" data-toggle="tooltip" data-placement="top" data-original-title="Share on Facebook"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="#2d2d2d" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-facebook"><path d="M18 2h-3a5 5 0 0 0-5 5v3H7v4h3v8h4v-8h3l1-4h-4V7a1 1 0 0 1 1-1h3z"></path></svg> </a>';
                        x+= '<a href="https://twitter.com/share?url=www&text='+data.short_url+'?ref=twitter" data-toggle="tooltip" data-placement="top" data-original-title="Share on Twitter"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="#2d2d2d" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-twitter"><path d="M23 3a10.9 10.9 0 0 1-3.14 1.53 4.48 4.48 0 0 0-7.86 3v1A10.66 10.66 0 0 1 3 4s-4 9 5 13a11.64 11.64 0 0 1-7 2c9 5 20 0 20-11.5a4.5 4.5 0 0 0-.08-.83A7.72 7.72 0 0 0 23 3z"></path></svg></a>';
                        x+= '</center>';
                            
                            
                        document.getElementById('result').innerHTML = x;
                        document.getElementById('appID').value = data.short_url;
                        document.getElementById('permanent_link').value = permanent_link;
                        
                        var trim_update = document.getElementById("trim_update");
                        trim_update.style.display = "inline-block";
                        
                        var trim_button = document.getElementById("trim_button");
                        trim_button.style.display = "none";
                         
                        //notify Message
                        var v='<div id="img" style="border-radius: 50px;"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 30 30"><defs><style>.a{fill:#fff;stroke:#f4b400;}.b{stroke:none;}.c{fill:none;}</style></defs><g transform="translate(-517 -83)"><g class="a" transform="translate(517 83)"><circle class="b" cx="15" cy="15" r="15"/><circle class="c" cx="15" cy="15" r="14.5"/></g><path d="M7.974,12.278,3.726,16.526a.747.747,0,0,1-1.059,0L1.96,15.82a.747.747,0,0,1,0-1.059L4.972,11.75,1.96,8.738a.747.747,0,0,1,0-1.059l.7-.712a.747.747,0,0,1,1.059,0l4.249,4.249a.748.748,0,0,1,0,1.062Zm6-1.062L9.724,6.967a.747.747,0,0,0-1.059,0l-.706.706a.747.747,0,0,0,0,1.059l3.012,3.012L7.959,14.755a.747.747,0,0,0,0,1.059l.706.706a.747.747,0,0,0,1.059,0l4.249-4.249A.743.743,0,0,0,13.972,11.215Z" transform="translate(524.26 86.254)"/></g></svg></div><div id="desc">'+data.message+'...</div>';
                        document.getElementById('toast').innerHTML = v;
                        var x = document.getElementById("toast")
                        x.className = "show";
                        setTimeout(function(){ x.className = x.className.replace("show", ""); }, 5000);
                        
                    }else{
                    
                        document.getElementById('result').style="display:block";    
                        var x='';
                        x+= '<p style="color:#fff;background:#FFCC00;padding:5px;border-radius:5px;">'+data.message+'</p>';    
                            
                        document.getElementById('result').innerHTML = x;
                        document.getElementById('appID').value = '';
                        document.getElementById('permanent_link').value = '';
                        
                        var trim_update = document.getElementById("trim_update");
                        trim_update.style.display = "inline-block";
                        
                        var trim_button = document.getElementById("trim_button");
                        trim_button.style.display = "none";
                         
                        //notify Message
                        var v='<div id="img" style="border-radius: 50px;"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 30 30"><defs><style>.a{fill:#fff;stroke:#f4b400;}.b{stroke:none;}.c{fill:none;}</style></defs><g transform="translate(-517 -83)"><g class="a" transform="translate(517 83)"><circle class="b" cx="15" cy="15" r="15"/><circle class="c" cx="15" cy="15" r="14.5"/></g><path d="M7.974,12.278,3.726,16.526a.747.747,0,0,1-1.059,0L1.96,15.82a.747.747,0,0,1,0-1.059L4.972,11.75,1.96,8.738a.747.747,0,0,1,0-1.059l.7-.712a.747.747,0,0,1,1.059,0l4.249,4.249a.748.748,0,0,1,0,1.062Zm6-1.062L9.724,6.967a.747.747,0,0,0-1.059,0l-.706.706a.747.747,0,0,0,0,1.059l3.012,3.012L7.959,14.755a.747.747,0,0,0,0,1.059l.706.706a.747.747,0,0,0,1.059,0l4.249-4.249A.743.743,0,0,0,13.972,11.215Z" transform="translate(524.26 86.254)"/></g></svg></div><div id="desc">'+data.message+'...</div>';
                        document.getElementById('toast').innerHTML = v;
                        var x = document.getElementById("toast")
                        x.className = "show";
                        setTimeout(function(){ x.className = x.className.replace("show", ""); }, 5000);
                    
                    }
                },
                error: function(errorThrown){
                    console.log(errorThrown);
                }
            });
        }else{
            //notify Message
            var v='';
            v='<div id="img" style="border-radius: 50px;"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 30 30"><defs><style>.a{fill:#fff;stroke:#f4b400;}.b{stroke:none;}.c{fill:none;}</style></defs><g transform="translate(-517 -83)"><g class="a" transform="translate(517 83)"><circle class="b" cx="15" cy="15" r="15"/><circle class="c" cx="15" cy="15" r="14.5"/></g><path d="M7.974,12.278,3.726,16.526a.747.747,0,0,1-1.059,0L1.96,15.82a.747.747,0,0,1,0-1.059L4.972,11.75,1.96,8.738a.747.747,0,0,1,0-1.059l.7-.712a.747.747,0,0,1,1.059,0l4.249,4.249a.748.748,0,0,1,0,1.062Zm6-1.062L9.724,6.967a.747.747,0,0,0-1.059,0l-.706.706a.747.747,0,0,0,0,1.059l3.012,3.012L7.959,14.755a.747.747,0,0,0,0,1.059l.706.706a.747.747,0,0,0,1.059,0l4.249-4.249A.743.743,0,0,0,13.972,11.215Z" transform="translate(524.26 86.254)"/></g></svg></div><div id="desc">Enter Valid Date...</div>';
            document.getElementById('toast').innerHTML = v;
            var x = document.getElementById("toast")
            x.className = "show";
            setTimeout(function(){ x.className = x.className.replace("show", ""); }, 5000);
        }
    });
    
    
    
    $('#trim_update').on('click', function () {
        
        
        var currentDate = new Date();
        var date = currentDate.getFullYear()+'-'+(currentDate.getMonth()+1)+'-'+currentDate.getDate();
                   
        var custom_alias = document.getElementById('custom_alias').value;
        var exp_date = document.getElementById('exp_date').value;
        var token = document.getElementById('token').value;
        var post_id = document.getElementById('post_id').value;
        var permanent_link = document.getElementById('permanent_link').value;
        var url_id = document.getElementById('url_id').value;
    
        var wp_url = document.getElementById('wp_url').value;
        
        console.log(exp_date);
        if(exp_date>=date || exp_date ==''){
        
            $.ajax({
            url: 'https://api.eseely.com/integrations/wordpress/link/update',
            type: 'POST',
            data: {
                'apikey':token,
                'custom_alias' : custom_alias,
                'exp_date' : exp_date,
                'permanent_link': permanent_link,
                'postid': post_id,
                'wp_url': wp_url,
                'url_id' : url_id
                },
                success:function(data) {
                    
                    var exists = document.getElementById("exists");
                                exists.style.display = "none";
                    
                console.log(data.short_url);
            
                    $.ajax({
                        url: ajaxurl,
                        type: 'POST',
                        data: {
                            'action': 'eseely_post_meta_update',
                            'short_url': data.short_url,
                            'alias': data.alias,
                            'custom': data.custom,
                            'exp_date': data.exp_date,
                            'post_id': post_id,
                            'url_id': data.url_id
                        },
                        success:function(token) {
                           
                        },
                        error: function(errorThrown){
                            console.log(errorThrown);
                        }
                    }); 
        
                
                document.getElementById('result').style="display:block";
                
                var x='';
                //x+= '<center><h4>'+data.message+'</h4></center>';
                x+= '<div class="form-group" style="margin-top: 0px;">';
                x+= '<div class="input-group input-group-alternative mb-3">';
                x+= '<div class="input-group-prepend">';
                x+= '<span class="input-group-text"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-link"><path d="M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"></path><path d="M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"></path></svg></span>';
                x+= '</div><input id="update_shorturl" style="background: white !important;color: #4285f4 !important;" value="'+data.short_url+'" class="form-control" readonly>';
                x+= '</div></div>';
                
                x+= '<center>';
                x+= '<a style="padding-right: 6px;" href="'+data.short_url+'" data-toggle="tooltip" id="openlink" data-placement="top" data-original-title="Visit link" target="_blank"><svg viewBox="0 0 24 24" width="20" height="20" stroke="#2d2d2d" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path><polyline points="15 3 21 3 21 9"></polyline><line x1="10" y1="14" x2="21" y2="3"></line></svg></a>';
                x+= '<a href="#" data-toggle="tooltip" data-placement="top" data-original-title="Copy" id="update_copy" onclick="copyfn(this.id);"><svg viewBox="0 0 24 24" width="20" height="20" stroke="#2d2d2d" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="css-i6dzq1"><rect x="9" y="9" width="13" height="13" rx="2" ry="2"></rect><path d="M5 15H4a2 2 0 0 1-2-2V4a2 2 0 0 1 2-2h9a2 2 0 0 1 2 2v1"></path></svg></a>';
                x+= '<a href="https://www.facebook.com/sharer.php?u='+data.short_url+'?ref=facebook" data-toggle="tooltip" data-placement="top" data-original-title="Share on Facebook"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="#2d2d2d" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-facebook"><path d="M18 2h-3a5 5 0 0 0-5 5v3H7v4h3v8h4v-8h3l1-4h-4V7a1 1 0 0 1 1-1h3z"></path></svg> </a>';
                x+= '<a href="https://twitter.com/share?url=www&text='+data.short_url+'?ref=twitter" data-toggle="tooltip" data-placement="top" data-original-title="Share on Twitter"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="#2d2d2d" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-twitter"><path d="M23 3a10.9 10.9 0 0 1-3.14 1.53 4.48 4.48 0 0 0-7.86 3v1A10.66 10.66 0 0 1 3 4s-4 9 5 13a11.64 11.64 0 0 1-7 2c9 5 20 0 20-11.5a4.5 4.5 0 0 0-.08-.83A7.72 7.72 0 0 0 23 3z"></path></svg></a>';
                x+= '</center>';
                
                
                document.getElementById('result').innerHTML = x;
                document.getElementById('appID').value = data.short_url;
                document.getElementById('permanent_link').value = permanent_link;
                
                 
                //notify Message
                var v='<div id="img" style="border-radius: 50px;"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 30 30"><defs><style>.a{fill:#fff;stroke:#f4b400;}.b{stroke:none;}.c{fill:none;}</style></defs><g transform="translate(-517 -83)"><g class="a" transform="translate(517 83)"><circle class="b" cx="15" cy="15" r="15"/><circle class="c" cx="15" cy="15" r="14.5"/></g><path d="M7.974,12.278,3.726,16.526a.747.747,0,0,1-1.059,0L1.96,15.82a.747.747,0,0,1,0-1.059L4.972,11.75,1.96,8.738a.747.747,0,0,1,0-1.059l.7-.712a.747.747,0,0,1,1.059,0l4.249,4.249a.748.748,0,0,1,0,1.062Zm6-1.062L9.724,6.967a.747.747,0,0,0-1.059,0l-.706.706a.747.747,0,0,0,0,1.059l3.012,3.012L7.959,14.755a.747.747,0,0,0,0,1.059l.706.706a.747.747,0,0,0,1.059,0l4.249-4.249A.743.743,0,0,0,13.972,11.215Z" transform="translate(524.26 86.254)"/></g></svg></div><div id="desc">'+data.message+'...</div>';
                document.getElementById('toast').innerHTML = v;
                var x = document.getElementById("toast")
                x.className = "show";
                setTimeout(function(){ x.className = x.className.replace("show", ""); }, 5000);
        
                
                },
                error: function(errorThrown){
                    console.log(errorThrown);
                }
            });
        }else{
            //notify Message
            var v='<div id="img" style="border-radius: 50px;"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 30 30"><defs><style>.a{fill:#fff;stroke:#f4b400;}.b{stroke:none;}.c{fill:none;}</style></defs><g transform="translate(-517 -83)"><g class="a" transform="translate(517 83)"><circle class="b" cx="15" cy="15" r="15"/><circle class="c" cx="15" cy="15" r="14.5"/></g><path d="M7.974,12.278,3.726,16.526a.747.747,0,0,1-1.059,0L1.96,15.82a.747.747,0,0,1,0-1.059L4.972,11.75,1.96,8.738a.747.747,0,0,1,0-1.059l.7-.712a.747.747,0,0,1,1.059,0l4.249,4.249a.748.748,0,0,1,0,1.062Zm6-1.062L9.724,6.967a.747.747,0,0,0-1.059,0l-.706.706a.747.747,0,0,0,0,1.059l3.012,3.012L7.959,14.755a.747.747,0,0,0,0,1.059l.706.706a.747.747,0,0,0,1.059,0l4.249-4.249A.743.743,0,0,0,13.972,11.215Z" transform="translate(524.26 86.254)"/></g></svg></div><div id="desc">Enter Valid Date...</div>';
            document.getElementById('toast').innerHTML = v;
            var x = document.getElementById("toast")
            x.className = "show";
            setTimeout(function(){ x.className = x.className.replace("show", ""); }, 5000);
        }
    });
    
    

    $('#adv_options').on('click',function(){
           if(this.checked){
                var onclick_url = document.getElementById("onclick_url");
                onclick_url.style.display = "block";
           }else{
                var onclick_url = document.getElementById("onclick_url");
                onclick_url.style.display = "none";
           }
    }); 
    
    


             
});


function copyfn(id){

    if(id == 'create_copy'){
     var myCode = document.getElementById('shorturl').value;
    }else{
        var myCode = document.getElementById('update_shorturl').value;
    }
    var fullLink = document.createElement('input');
    document.body.appendChild(fullLink);
    fullLink.value = myCode;
    fullLink.select();
    document.execCommand("copy", false);
    fullLink.remove();
    
    //notify Message
    var v='<div id="img" style="border-radius: 50px;"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 30 30"><defs><style>.a{fill:#fff;stroke:#f4b400;}.b{stroke:none;}.c{fill:none;}</style></defs><g transform="translate(-517 -83)"><g class="a" transform="translate(517 83)"><circle class="b" cx="15" cy="15" r="15"/><circle class="c" cx="15" cy="15" r="14.5"/></g><path d="M7.974,12.278,3.726,16.526a.747.747,0,0,1-1.059,0L1.96,15.82a.747.747,0,0,1,0-1.059L4.972,11.75,1.96,8.738a.747.747,0,0,1,0-1.059l.7-.712a.747.747,0,0,1,1.059,0l4.249,4.249a.748.748,0,0,1,0,1.062Zm6-1.062L9.724,6.967a.747.747,0,0,0-1.059,0l-.706.706a.747.747,0,0,0,0,1.059l3.012,3.012L7.959,14.755a.747.747,0,0,0,0,1.059l.706.706a.747.747,0,0,0,1.059,0l4.249-4.249A.743.743,0,0,0,13.972,11.215Z" transform="translate(524.26 86.254)"/></g></svg></div><div id="desc">Link Successfully Copied......</div>';
    document.getElementById('toast').innerHTML = v;
    var x = document.getElementById("toast")
    x.className = "show";
    setTimeout(function(){ x.className = x.className.replace("show", ""); }, 5000);
}